# Registration Categories Registration Categories ## Gets all of the registration categories in the system. - [GET /registrationCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/listregistrationcategories.md): This method will scan all registration categories and and return them to the caller. ## Creates a new registration category record that does not already exist. - [POST /registrationCategories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/createregistrationcategory.md): This method will auto-generate an ID and create a new registration category. If an ID is specified for the registration category, an error will be thrown. ## Execute Batch Operations - [POST /registrationCategories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a registration category from the system by its ID. - [DELETE /registrationCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/deleteregistrationcategory.md): This method will delete a registration category with the specified ID. ## Returns a registration category from the system by its ID. - [GET /registrationCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/getregistrationcategory.md): This method will look up a registration category by the specified ID and return it back. ## Partially updates a registration category with the specified ID. - [PATCH /registrationCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/patchregistrationcategory.md): This method will patch an existing registration category with the specified ID, using the HTTP PATCH specification. ## Updates a registration category with the specified ID. - [PUT /registrationCategories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-categories/updateregistrationcategory.md): This method will update an existing registration category with the specified ID.